-#!/bin/sh
+#!/bin/bash
# Run this to generate all the initial makefiles, etc.
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-ORIGDIR=`pwd`
-cd $srcdir
-PROJECT=libgdaex
-TEST_TYPE=-f
-FILE=configure.ac
+PKG_NAME="libgdaex"
-DIE=0
-
-have_libtool=false
-if libtoolize --version < /dev/null > /dev/null 2>&1 ; then
- libtool_version=`libtoolize --version | sed 's/^.*[ ]\([0-9.]*[a-z]*\).*$/\1/'`
- case $libtool_version in
- 2.*)
- have_libtool=true
- ;;
- esac
-fi
-if $have_libtool ; then : ; else
- echo
- echo "You must have libtool >= 2 installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
- DIE=1
-fi
-
-(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have gtk-doc installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
- DIE=1
+(test -f $srcdir/configure.ac \
+ && test -d $srcdir/src \
+ && test -f $srcdir/src/libgdaex.h) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level libgdaex directory"
+ exit 1
}
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
- DIE=1
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from GNOME and make"
+ echo "sure the gnome-autogen.sh script is in your \$PATH."
+ exit 1
}
-if automake --version < /dev/null > /dev/null 2>&1 ; then
- AUTOMAKE=automake
- ACLOCAL=aclocal
-else
- echo
- echo "You must have automake 1.7.x installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
- DIE=1
-fi
-
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
- exit 1
-}
-
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
- if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
- fi
-fi
-
-rm -rf autom4te.cache
-
-# README and INSTALL are required by automake, but may be deleted by clean
-# up rules. to get automake to work, simply touch these here, they will be
-# regenerated from their corresponding *.in files by ./configure anyway.
-touch README INSTALL
-
-$ACLOCAL || exit $?
-
-libtoolize --force || exit $?
-gtkdocize || exit $?
-
-autoheader || exit $?
-
-$AUTOMAKE --add-missing || exit $?
-autoconf || exit $?
-cd $ORIGDIR || exit $?
-
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
- $srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
-
- echo
- echo "Now type 'make' to compile $PROJECT."
-fi
+USE_GNOME2_MACROS=1 . gnome-autogen.sh
+++ /dev/null
-26% symbol docs coverage.
-9 symbols documented.
-1 symbols incomplete.
-25 not documented.
-
-
-GdaEx (<items>)
-GdaEx::after-execute
-GdaEx::before-execute
-gdaex_data_model_get_field_value_boolean_at
-gdaex_data_model_get_field_value_double_at
-gdaex_data_model_get_field_value_float_at
-gdaex_data_model_get_field_value_gdate_at
-gdaex_data_model_get_field_value_gdatimestamp_at
-gdaex_data_model_get_field_value_integer_at
-gdaex_data_model_get_field_value_stringify_at
-gdaex_data_model_get_field_value_tm_at
-gdaex_data_model_get_value_boolean_at
-gdaex_data_model_get_value_double_at
-gdaex_data_model_get_value_float_at
-gdaex_data_model_get_value_gdate_at
-gdaex_data_model_get_value_gdatimestamp_at
-gdaex_data_model_get_value_integer_at
-gdaex_data_model_get_value_stringify_at
-gdaex_data_model_get_value_tm_at
-gdaex_free
-gdaex_get_chr_quoting
-gdaex_get_gdaconnection
-gdaex_get_provider
-gdaex_new_from_string
-
-
-libgdaex:Short_Description